import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/components/appbar.dart';
import 'package:vitalapp/pages/data_sync/patients/view.dart';

import 'controller.dart';

class DataSyncPage extends GetView<DataSyncController> {
  const DataSyncPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: VAppBar(
        titleText: "数据同步",
        actions: [
          TextButton(
            onPressed: controller.syncData,
            child: const Text(
              "同步",
              style: TextStyle(fontSize: 18, color: Colors.white),
            ),
          ),
        ],
      ),
      body: Row(
        children: [
          Container(
            width: 120,
            color: Colors.green,
            alignment: Alignment.center,
            child: const Text(
              "预留 - 切换栏",
              style: TextStyle(fontSize: 18),
            ),
          ),
          const Divider(),
          Expanded(
            child: Container(
              padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 2),
              child: const PatientSyncPage(),
            ),
          ),
        ],
      ),
    );
  }
}
